Retrieves a user week approval with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_week_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key of User

globally unique identifier

Required

approved_date_start

Starting date of the approved range

date

Required

approved_date_end

Ending date of the approved range

date

Required

date_approval

Date+Time when the approval occured

date

Required

is_approved

Indicate if the selection (range) is approved

boolean

Required

approved_by_user_id

Foreign key of user,who did the approval

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "a3536537-3476-4273-89fa-7b97d92ed326",
  "user_id": "fd278494-6111-4194-8806-83de441332f5",
  "approved_date_start": "2026-10-27T15:58:09.6908306+00:00",
  "approved_date_end": "2026-10-27T15:58:09.6908306+00:00",
  "date_approval": "2026-10-27T15:58:09.6908306+00:00",
  "is_approved": true,
  "approved_by_user_id": "58e6e8f3-081b-4b62-ad93-0f704ea78c1a",
  "modified_dateutc": "2026-10-27T15:58:09.6908306+00:00"
}